Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496773 - subpackage color fonts and install by default
Summary: subpackage color fonts and install by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: google-noto-emoji-fonts
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-28 11:27 UTC by fujiwara
Modified: 2018-03-14 02:59 UTC (History)
3 users (show)

Fixed In Version: google-noto-emoji-fonts-20170928-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-14 02:59:25 UTC
Type: Bug


Attachments (Terms of Use)

Description fujiwara 2017-09-28 11:27:08 UTC
"Noto Color Emoji" font covers Emoji 5.0 in Unicode 10.0 and provides many variable emoji characters, E.g. coconut, broccoli, socks, coat, but other fonts do not.
https://unicode.org/emoji/charts/emoji-released.html

I think it's very good to support the latest emoji for Fedora and desire "Noto Color Emoji" is installed by default.

I also think "Noto Emoji" is not installed by default since it's mono color font and probably I think we'd like to use the color emoji only by default.

Comment 1 Mike FABIAN 2017-09-28 15:03:26 UTC
I have split the color and the black-and-white font into different
sub-packages now:

https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d9798ccbf

google-noto-emoji-fonts-20170928-1.fc27.src.rpm
google-noto-emoji-color-fonts-20170928-1.fc27.noarch.rpm 
google-noto-emoji-fonts-20170928-1.fc27.noarch.rpm

So we can not install only the color font by installing
only google-noto-emoji-color-fonts.

Comment 2 Mike FABIAN 2017-09-29 06:37:37 UTC
(In reply to Mike FABIAN from comment #1)

> So we can not install only the color font by installing
> only google-noto-emoji-color-fonts.

I meant of course we can *now* install  only the colour font.

Comment 3 Mike FABIAN 2017-10-23 07:44:32 UTC
ibus-typing-booster.spec contains:

Recommends: google-noto-emoji-color-fonts

and ibus-typing-booster is usually installed by default. 
Maybe that is enough?

Comment 4 Peng Wu 2017-10-25 08:06:52 UTC
Created pull request to install color emoji font by default:
https://pagure.io/fedora-comps/pull-request/181


Note You need to log in before you can comment on or make changes to this bug.